;;; init.el -*- lexical-binding: t; -*-

; Org goes in org
(custom-set-variables '(org-directory "~/org"))
(setq
   deft-directory org-directory
   org-download-image-dir (concat org-directory "resources")
   org-roam-directory org-directory)
;; Add projectile autosearch for common dirs
(require 'seq)
(setq projectile-project-search-path
      (seq-filter 'file-directory-p '("~/src" "~/Code" "~/opt")))

;; Make sort reasonable.
(setq projectile-sort-order 'access-time)

;; recursive search for deft
(setq deft-recursive t)

; Enable word wrap
(add-hook 'org-mode-hook #'visual-line-mode)

;Custom bullets
(setq org-superstar-headline-bullets-list '("⁜" "☰" "☱" "☲" "☳" "☴" "☵" "☶" "☷"))

 ;; allow md export
(eval-after-load "org" '(require 'ox-md nil t))

;; org-journal-file-format
(customize-set-variable 'org-journal-date-format "%A, %d %B %Y")
